<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: ring_buffer Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">ring_buffer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ring__buffer_8h_source.html">ring_buffer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aab5081f441287194b6a8379175ea7b2b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structring__buffer.html#aab5081f441287194b6a8379175ea7b2b">buffer</a></td></tr>
<tr class="separator:aab5081f441287194b6a8379175ea7b2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a391c992c66c3e5540265a85ec2b9216a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structring__buffer.html#a391c992c66c3e5540265a85ec2b9216a">capacity</a></td></tr>
<tr class="separator:a391c992c66c3e5540265a85ec2b9216a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86988a65e0d3ece7990c032c159786d6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structring__buffer.html#a86988a65e0d3ece7990c032c159786d6">count</a></td></tr>
<tr class="separator:a86988a65e0d3ece7990c032c159786d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a71cf941cf2509857d61e1443ad8eaa"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structring__buffer.html#a0a71cf941cf2509857d61e1443ad8eaa">read</a></td></tr>
<tr class="separator:a0a71cf941cf2509857d61e1443ad8eaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4c9f9c5eac363cc22ecc18669cc3891"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structring__buffer.html#ac4c9f9c5eac363cc22ecc18669cc3891">write</a></td></tr>
<tr class="separator:ac4c9f9c5eac363cc22ecc18669cc3891"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="aab5081f441287194b6a8379175ea7b2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab5081f441287194b6a8379175ea7b2b">&#9670;&nbsp;</a></span>buffer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="ring__buffer_8h.html#af72901092687a69d9997872b8b25df60">RB_TYPE</a>* buffer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a391c992c66c3e5540265a85ec2b9216a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a391c992c66c3e5540265a85ec2b9216a">&#9670;&nbsp;</a></span>capacity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t capacity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86988a65e0d3ece7990c032c159786d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86988a65e0d3ece7990c032c159786d6">&#9670;&nbsp;</a></span>count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a71cf941cf2509857d61e1443ad8eaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a71cf941cf2509857d61e1443ad8eaa">&#9670;&nbsp;</a></span>read</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t read</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac4c9f9c5eac363cc22ecc18669cc3891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c9f9c5eac363cc22ecc18669cc3891">&#9670;&nbsp;</a></span>write</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t write</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>ring_buffer/<a class="el" href="ring__buffer_8h_source.html">ring_buffer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
